module ActionNotifier
  module Deliverers
    class BaseDeliverer
      extend Forwardable

      attr_reader :message

      def initialize(message)
        @message = message
      end

      def deliver
        raise "Not implement error."
      end
    end
  end
end
