module ActionNotifier
  module Deliverers
    class PostRequestDeliverer < BaseDeliverer
      include HTTParty

      def_delegators :@message, :url

      def deliver
        self.class.post(message.url, { body: message.body }.merge(message.options))
      end
    end
  end
end
